Subject: Wildhorse Letter
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 27 Jul 2000 08:40:00 -0700 (PDT)

Attached is the latest version of the Wildhorse Entrada Letter.  Please 
review.  I reviewed the letter with Jim Osborne and Ken Krisa yesterday and 
should get their comments today.  My plan is to Fedex to Midland for Ken's 
signature tomorrow morning and from there it will got to Wildhorse.